Onboarding
Verify Onboarding File Upload
Reads the uploaded file's header from S3, checks magic bytes against the declared MIME type, deleting mismatches.
POSThttps://api.toku.com/hris/verify-onboarding-file-upload
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/verify-onboarding-file-upload' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fileIdstring<uuid>requiredResponse
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits